<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('country_phone_code', function (Blueprint $table) {
            $table->id();
            $table->string('zh_name')->comment('中文简体名');
            $table->string('tw_name')->comment('中文繁体名');
            $table->string('en_name')->comment('英文名');
            $table->string('phone_code')->comment('国家电话码');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('country_phone_code');
    }
};
